package com.heyu.api.data.service.calca;
/**
* <p>
* 用户token表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-01
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.calca.CalcaTokenEntity;

import java.util.List;

public interface CalcaTokenService extends IService<CalcaTokenEntity> {



	CalcaTokenEntity selectCalcaTokenById(Long id);


	Long insertCalcaToken(CalcaTokenEntity calcaToken);


	Long insertOrUpdateCalcaToken(CalcaTokenEntity calcaToken);


	int updateCalcaTokenById(CalcaTokenEntity calcaToken);


	int updateCoverCalcaTokenById(CalcaTokenEntity calcaToken);


	int deleteCalcaTokenById(Long id);

	CalcaTokenEntity selectCalcaTokenByTokenUserName(String token, String userName);


	List<CalcaTokenEntity> selectCalcaTokenByUserNameAvailable(String userName, Integer available);


}